Get Usage Summary
GET /usage/summaryParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
from | query | string (date-time) | null | optional | — |
to | query | string (date-time) | null | optional | — |
group_by | query | agent | model | provider | day | workspace | credential | trigger | persona | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | UsageSummaryView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/usage/summary \ -H "Authorization: Bearer $COBRE_TOKEN"Response — UsageSummaryView
Section titled “Response — UsageSummaryView”| Field | Type | Notes | |
|---|---|---|---|
window_start | string (date-time) | required | — |
window_end | string (date-time) | required | — |
group_by | agent | model | provider | day | workspace | credential | trigger | persona | null | optional | — |
currency | string | optional | Default "USD". |
total | UsageBucket | required | — |
groups | UsageBucket[] | optional | — |
unpriced_calls | integer | optional | Default 0. |